## python-cffi-py2 1.14.0

=== debian/changelog ===
python-cffi-py2 (1.14.0-2kali2) kali-dev; urgency=medium

  * Complete debian/copyright
  * Fix installation: install missing wheels

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 May 2020 15:09:55 +0200

python-cffi-py2 (1.14.0-2kali1) kali-dev; urgency=medium

  * Build Python 2 package only, for offsec courses
    We use Python wheels to keep as few Python2 packages as possible in Kali.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 May 2020 16:54:50 +0200

python-cffi (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 13 Feb 2020 21:15:43 -0800

python-cffi (1.13.2-1) unstable; urgency=medium

  * New upstream point release, no significant changes.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Dec 2019 10:13:31 +0200

python-cffi (1.13.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release. (Closes: #942865)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Nov 2019 11:26:50 -0700

python-cffi (1.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 12 (and use B-D syntax).
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Remove versioned constraints that pre-date stretch.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 08 Jul 2019 22:56:35 -0700

python-cffi (1.12.2-1) unstable; urgency=medium

  * New upstream release.
    - With initial Python 3.8 compatibility.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 26 Feb 2019 14:00:14 -0800

python-cffi (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch xfail-modify-struct, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Feb 2019 11:01:48 -0800

python-cffi (1.12.0-2) unstable; urgency=medium

  * Patch xfail-modify-struct: xfail TestOwnLib.test_modify_struct_value on
    arm64, hppa, riscv64, and sparc64, until resolved upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Feb 2019 17:25:34 -0800

python-cffi (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, superseded upstream.
    - Hopefully fixed race in locking tests on hurd (Closes: #893743)
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Bump copyright years.
  * Delete .pytest_cache/ in clean.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Feb 2019 13:01:48 -0800

python-cffi (1.11.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Stefano Rivera ]
  * Patch skip-double-float-int: Skip big double->float inf tests on ppc64el,
    they are known to fail on gcc8, and the blame is being debated upstream.
  * Patch skip-init-locking-hurd: Skip a non-critical test that fails
    occasionally Hurd. (See: #893743)
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Sep 2018 17:05:03 +0300

python-cffi (1.11.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Stefano Rivera ]
  * Add python-cffi-doc package with Sphinx docs (Closes: #891865)
  * Patch: x32-pointers: handle pointers on ILP32 ABIs correctly.
    (Closes: #884705)
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Aug 2018 22:17:20 +0100

python-cffi (1.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 27 Feb 2018 11:34:07 -0800

python-cffi (1.11.4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Drop patches, superseded upstream.
  * Update copyright years.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Declare Rules-Requires-Root: no
  * Bump debhelper compat to 11.
  * Patch: Avoid embedded bootstrapping race in recent python2.7
    (Closes: #889813)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Feb 2018 10:24:15 -0800

python-cffi (1.9.1-2) unstable; urgency=medium

  * Patch kfreebsd-mtime-resolution: Explicitly flush import cache after
    creating a Python module in test_recompiler. Fixes test failures on
    kFreeBSD.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Dec 2016 19:15:07 +0100

python-cffi (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Dec 2016 12:54:55 +0100

python-cffi (1.7.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #811953)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Aug 2016 12:52:35 -0400

python-cffi (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * britney now supports versioned Provides, so generate them in pydist.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 07 May 2016 18:57:57 +0200

python-cffi (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, superseded upstream.
  * Switch VCS fields to the same https URL
  * Switch watch file to use https.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Instruct virtualenv to never download, during package tests.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Feb 2016 00:09:22 -0800

python-cffi (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump dh-python Build-Dep to a version that can correctly use
    --ext-dest-dir.
  * Drop patches superseded upstream.
  * Patch the new extension system to work with pybuild, and support -dbg
    interpreters.

