=== debian/control ===
Source: python-cffi-py2
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 libffi-dev,
 python-all-dbg,
 python-all-dev,
 virtualenv
Standards-Version: 4.5.0
Homepage: http://cffi.readthedocs.org/
Vcs-Git: https://gitlab.com/kalilinux/packages/python-cffi-py2.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-cffi-py2
Rules-Requires-Root: no

Package: python-cffi
Architecture: all
Depends:
 python-cffi-backend (<< ${source:Version}+c),
 python-cffi-backend (>= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Foreign Function Interface for Python calling C code
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the necessary build and runtime support for cffi
 modules.

Package: python-cffi-backend
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${cffi:Provides}
Description: Foreign Function Interface for Python calling C code - backend
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the runtime support for pre-built cffi modules.

Package: python-cffi-backend-dbg
Architecture: any
Section: debug
Depends:
 python-cffi-backend (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Foreign Function Interface for Python calling C code (Debug version)
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the debug version of the python-cffi backend.
