=== debian/tests/control ===
Test-Command: debian/tests/basic-test.sh test_install_python2
Depends: @
Restrictions: allow-stderr, superficial
